5

Unresolved dependency after yum update crash (broken ssh connection)

view full story
linux-howto

http://serverfault.com – Today I was updating one of production server (one of many to test updates and then update the rest of computers). Soon after run yum update ssh connection was broken :/ . After login once again using screen sesion this time I run yum-complete-transaction but it has problems so I run it with --skip-broken parameter. That worked fine for unfinished transaction but problem with perl dependency stays. I tried to reinstall perl package but it gives me an error : Loaded plugins: langpacks, presto, refresh-packagekit Installed package 4: perl-5.14.2-201.fc16.x86_64 (with updates) is not available (HowTos)